Summary: Compability package for FC3/4 Suspend 2 enabled kernels from mhensler.de/swsusp
Name: compat-swsusp2-mkinitrd
Version: 0.1
Release: 3.cubbi1
License: GPL
Group: Applications/System
Packager: Matthias Hensler <matthias@wspse.de>
URL: http://mhensler.de/swsusp/
Source0: compat-mkinitrd-swsusp
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: mkinitrd-suspend2 >= 5.0.26
Provides: swsusp2-mkinitrd = 5.0.26
BuildArch: noarch

%description
http://mhensler.de/swsusp provides Suspend 2 enabled Fedora kernels and
tools to use them, since Fedora Core 3. Starting with Fedora Core 5 there
was a lot of cleanup and package renames.

The configuration tool for new kernels was renamed from mkinitrd-swsusp
to mkinitrd-suspend2. Furthermore the commandline syntax changed. The
kernel package was renamed from kernel to kernel-suspend2.

In order to provide an automatic upgrade from FC3/4 to FC5 this package
includes a compability wrapper for the new mkinitrd-suspend2 package.

When your system works fine on FC5 with the new kernels, you should remove
any old kernel-*-2.6.*-cubbi*_swsusp2 package and this compability package.

%prep

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
install -m 0755 %{SOURCE0} $RPM_BUILD_ROOT/sbin/mkinitrd-swsusp
pushd $RPM_BUILD_ROOT/sbin
ln -s mkinitrd-swsusp new-kernel-pkg-swsusp
popd

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/sbin/mkinitrd-swsusp
/sbin/new-kernel-pkg-swsusp

%changelog
* Mon Mar 20 2006 Matthias Hensler <matthias@wspse.de> 0.1-3.cubbi1
- rebuild.

* Sun Mar 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> 0.1-2.cubbi3
- Allow building as non-root user.

* Sat Mar 18 2006 Matthias Hensler <matthias@wspse.de> 0.1-1.cubbi3
- build for Fedora Core 5 final.

* Mon Mar 13 2006 Matthias Hensler <matthias@wspse.de> 0.1-1.cubbi2
- some spelling fixes.

* Fri Mar 03 2006 Matthias Hensler <matthias@wspse.de> 0.1-1.cubbi1
- first build.

